package com.muzhi.dingtalk.test.controller;

import com.muzhi.dingtalk.test.service.ShenpiService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@Api(description = "钉钉审批")
@RestController
@RequestMapping("/shenpiservice/shenpi")
public class ShenpiController {

    @Autowired
    private ShenpiService shenpiService;

    //TODO 分页获取审批实例id列表
    @ApiOperation(value = "//TODO 分页获取审批实例id列表")
    @GetMapping("getShenpiIdList")
    public String getShenpiIdList(){

        String shenpiIdList = shenpiService.getShenpiIdList();
        return shenpiIdList;
    }

    //TODO 获取审批实例详情
    @ApiOperation(value = "//TODO 获取审批实例详情")
    @GetMapping("getShenpiXQ")
    public String getShenpiXQ(){

        String shenpiXQ = shenpiService.getShenpiXQ();
        return shenpiXQ;
    }
}
